TEMPLATE = subdirs
SUBDIRS = fluidlauncher screenshots
INSTALL_DIR = /usr/bin/launcher

# Store platform name in configuration
CONFIG += $$(PLATFORM)

# Determine config based on platform provided
CONFIG_NAME = "generic-config.xml"

nitrogen6x {
    CONFIG_NAME = "$$(PLATFORM)-config.xml"
}

message("CONFIG_NAME: $$CONFIG_NAME")
message("INSTALL_ROOT: $$(INSTALL_ROOT)")

# Move config to config.xml
config.commands = "cp config/$$CONFIG_NAME $(INSTALL_ROOT)/$$INSTALL_DIR/config.xml"
config.files = config.xml
config.path = $$INSTALL_DIR
QMAKE_EXTRA_TARGETS = config

# Tell Makefile to install contents of the following folders
sources.files = slides
sources.path = $$INSTALL_DIR

INSTALLS += sources config
